<?php
/**
 * The footer for Aryx
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Aryx
 * @since 1.0
 */
?>
		</main> <!-- #main -->
		<?php
		$footer_layout = get_theme_mod( 'aryx_f_footer_global_layout_s_footer_global_settings_p_footer', 'both' );
		if ( $footer_layout != 'none' ) {
		?>
		<footer id="colophon" class="site-footer">
			<?php
			$footer_widget_width = get_theme_mod( 'aryx_f_footer_widget_area_width_s_footer_widget_area_p_footer', 'container-width' );
			$footer_bar_width = get_theme_mod( 'aryx_f_footer_bar_area_width_s_footer_bar_area_p_footer', 'container-width' );
			$default_content_layout = get_theme_mod( 'aryx_f_default_content_layout_s_container_p_layout', 'fixed-width' );
			$page_content_layout = get_theme_mod( 'aryx_f_page_content_layout_s_container_p_layout', 'default-width' );
			$post_content_layout = get_theme_mod( 'aryx_f_post_content_layout_s_container_p_layout', 'default-width' );
			$archive_content_layout = get_theme_mod( 'aryx_f_archive_content_layout_s_container_p_layout', 'default-width' );
			if ( $footer_layout != 'bottom' ) {
			?>
			<div class="footer-widget-area">
				<?php
				/* Setting Footer Container Width Based on Layout Settings */
				if ( $footer_widget_width ) {
					if ( $footer_widget_width == 'full-width' ) {
						echo '<div class="container-fluid">';
					} elseif ( $footer_widget_width == 'fixed-width' ) {
						echo '<div class="container">';
					} elseif ($footer_widget_width == 'container-width') {
						if ( is_archive() || is_home() ) {
							if ( $archive_content_layout == 'default-width' ) {
								if ( $default_content_layout == 'fixed-width' ) {
									echo '<div class="container">';
								} elseif ( $default_content_layout == 'full-width' ) {
									echo '<div class="container-fluid">';
								}
							} elseif ( $archive_content_layout == 'fixed-width' ) {
								echo '<div class="container">';
							} elseif ( $archive_content_layout == 'full-width' ) {
								echo '<div class="container-fluid">';
							}
						} elseif ( is_single() ) {
							if ( $post_content_layout == 'default-width' ) {
								if ( $default_content_layout == 'fixed-width' ) {
									echo '<div class="container">';
								} elseif ( $default_content_layout == 'full-width' ) {
									echo '<div class="container-fluid">';
								}
							} elseif ( $post_content_layout == 'fixed-width' ) {
								echo '<div class="container">';
							} elseif ( $post_content_layout == 'full-width' ) {
								echo '<div class="container-fluid">';
							}
						} elseif ( is_page() ) {
							if ( $page_content_layout == 'default-width' ) {
								if ( $default_content_layout == 'fixed-width' ) {
									echo '<div class="container">';
								} elseif ( $default_content_layout == 'full-width' ) {
									echo '<div class="container-fluid">';
								}
							} elseif ( $page_content_layout == 'fixed-width' ) {
								echo '<div class="container">';
							} elseif ( $page_content_layout == 'full-width' ) {
								echo '<div class="container-fluid">';
							}
						} else {
							if ( $default_content_layout == 'fixed-width' ) {
								echo '<div class="container">';
							} elseif ( $default_content_layout == 'full-width' ) {
								echo '<div class="container-fluid">';
							}
						}
					}
				} else {
					echo '<div class="container">';
				}
					?>
					<div class="footer-widgets">
						<div class="row">
							<div class="col-md-3"><?php dynamic_sidebar( 'footer-widget-area-1' ); ?></div>
							<div class="col-md-3"><?php dynamic_sidebar( 'footer-widget-area-2' ); ?></div>
							<div class="col-md-3"><?php dynamic_sidebar( 'footer-widget-area-3' ); ?></div>
							<div class="col-md-3"><?php dynamic_sidebar( 'footer-widget-area-4' ); ?></div>
						</div>
					</div>
				</div>
			</div>
			<?php
			} if ( $footer_layout != 'top' ) {
			?>
			<div class="site-info-area">
				<?php
				/* Setting Footer Container Width Based on Layout Settings */
				if ( $footer_bar_width ) {
					if ( $footer_bar_width == 'full-width' ) {
						echo '<div class="container-fluid">';
					} elseif ( $footer_bar_width == 'fixed-width' ) {
						echo '<div class="container">';
					} elseif ($footer_bar_width == 'container-width') {
						if ( is_archive() || is_home() ) {
							if ( $archive_content_layout == 'default-width' ) {
								if ( $default_content_layout == 'fixed-width' ) {
									echo '<div class="container">';
								} elseif ( $default_content_layout == 'full-width' ) {
									echo '<div class="container-fluid">';
								}
							} elseif ( $archive_content_layout == 'fixed-width' ) {
								echo '<div class="container">';
							} elseif ( $archive_content_layout == 'full-width' ) {
								echo '<div class="container-fluid">';
							}
						} elseif ( is_single() ) {
							if ( $post_content_layout == 'default-width' ) {
								if ( $default_content_layout == 'fixed-width' ) {
									echo '<div class="container">';
								} elseif ( $default_content_layout == 'full-width' ) {
									echo '<div class="container-fluid">';
								}
							} elseif ( $post_content_layout == 'fixed-width' ) {
								echo '<div class="container">';
							} elseif ( $post_content_layout == 'full-width' ) {
								echo '<div class="container-fluid">';
							}
						} elseif ( is_page() ) {
							if ( $page_content_layout == 'default-width' ) {
								if ( $default_content_layout == 'fixed-width' ) {
									echo '<div class="container">';
								} elseif ( $default_content_layout == 'full-width' ) {
									echo '<div class="container-fluid">';
								}
							} elseif ( $page_content_layout == 'fixed-width' ) {
								echo '<div class="container">';
							} elseif ( $page_content_layout == 'full-width' ) {
								echo '<div class="container-fluid">';
							}
						} else {
							if ( $default_content_layout == 'fixed-width' ) {
								echo '<div class="container">';
							} elseif ( $default_content_layout == 'full-width' ) {
								echo '<div class="container-fluid">';
							}
						}
					}
				} else {
					echo '<div class="container">';
				}
					?>
					<div class="row">
						<div class="col-md-6 order-md-last">
							<nav id="footer-nav" class="navbar navbar-light navbar-expand">
								<?php
								wp_nav_menu( array(
									'theme_location'    => 'menu-footer',
									'depth'             => 1,
									'container'         => 'div',
									'container_class'   => 'navbar-expand  ml-auto',
									'container_id'      => 'footer-nav-expand',
									'menu_class'        => 'navbar-nav text-center',
									'fallback_cb'       => 'WP_Bootstrap_Navwalker::fallback',
									'walker'            => new WP_Bootstrap_Navwalker(),
								) );
								?>
						 	</nav>
						</div>
						<div class="col-md-6">
						 	<div class="site-info">
						 		<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'aryx' ) ); ?>">
								<?php
						 		/* translators: %s: CMS name, i.e. WordPress. */
                                printf( esc_html__( 'Proudly powered by %s', 'aryx' ), __( 'WordPress', 'aryx' ) );
								?>
						 		</a>
						 		<span class="sep"> | </span>
								<?php
						 		/* translators: 1: Theme name, 2: Theme author. */
                                printf( esc_html__( 'Theme: %1$s by %2$s', 'aryx' ), __( 'Aryx', 'aryx' ), '<a href="'. esc_url( __( 'https://www.themexa.com/', 'aryx' ) ) .'">' . __( 'Themexa', 'aryx' ) . '</a>' );
								?>
						 	</div>
						</div>
					</div>
		 		</div>
		 	</div>
	 		<?php
	 		}
 			?>
	 	</footer>
		<?php
		}
		?>
		<?php wp_footer(); ?>
	</body>
</html>