<?php
/**
 * Aryx Customizer Content Colors Section
 * 
 * Customizer > Colors > Content Colors
 *
 * @package Aryx
 */

/*
 * Heading Colors Sub-Section
 *
 * Customizer > Colors > Content Colors > Heading Colors
 *
 */

/* Heading Colors Sub-Section Declaration */
Kirki::add_section( 'aryx_ss_heading_colors_s_content_colors_p_colors', array(
    'title'          => esc_html__( 'Heading Colors', 'aryx' ),
    'section'        => 'aryx_s_content_colors_p_colors',
    'priority'       => 10,
) );

/* Heading Colors Sub-Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/content-colors/heading-colors/heading-colors.php';

/*
 * Text Colors Sub-Section
 *
 * Customizer > Colors > Content Colors > Text Colors
 *
 */

/* Text Colors Sub-Section Declaration */
Kirki::add_section( 'aryx_ss_text_colors_s_content_colors_p_colors', array(
    'title'          => esc_html__( 'Text Colors', 'aryx' ),
    'section'        => 'aryx_s_content_colors_p_colors',
    'priority'       => 20,
) );

/* Text Colors Sub-Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/content-colors/text-colors/text-colors.php';

/*
 * Link Colors Sub-Section
 *
 * Customizer > Colors > Content Colors > Link Colors
 *
 */

/* Link Colors Sub-Section Declaration */
Kirki::add_section( 'aryx_ss_link_colors_s_content_colors_p_colors', array(
    'title'          => esc_html__( 'Link Colors', 'aryx' ),
    'section'        => 'aryx_s_content_colors_p_colors',
    'priority'       => 30,
) );

/* Link Colors Sub-Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/content-colors/link-colors/link-colors.php';

/*
 * Button Colors Sub-Section
 *
 * Customizer > Colors > Content Colors > Button Colors
 *
 */

/* Button Colors Sub-Section Declaration */
Kirki::add_section( 'aryx_ss_button_colors_s_content_colors_p_colors', array(
    'title'          => esc_html__( 'Button Colors', 'aryx' ),
    'section'        => 'aryx_s_content_colors_p_colors',
    'priority'       => 40,
) );

/* Button Colors Sub-Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/content-colors/button-colors/button-colors.php';

/* More Features In Aryx Pro */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'custom',
	'settings'    => 'f_aryx_pro_s_content_colors_p_colors',
	'section'     => 'aryx_s_content_colors_p_colors',
	'default'     => '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
	'priority'    => 200,
] );