<?php
/**
 * Aryx Customizer Link Colors Sub-Section
 * 
 * Customizer > Colors > Content Colors > Link Colors
 *
 * @package Aryx
 */

/*
 * Link Colors Sub-Section Fields
 *
 */

/* Link Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_link_color_ss_link_colors_s_content_colors_p_colors',
	'label'       => __( 'Link Color', 'aryx' ),
	'section'     => 'aryx_ss_link_colors_s_content_colors_p_colors',
	'default'     => '#00a8ff',
	'priority'    => 10,
	'choices'     => [
		'alpha' => true,
	],
] );

/* Link Hover Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_link_hover_color_ss_link_colors_s_content_colors_p_colors',
	'label'       => __( 'Link Hover Color', 'aryx' ),
	'section'     => 'aryx_ss_link_colors_s_content_colors_p_colors',
	'default'     => '#000',
	'priority'    => 20,
	'choices'     => [
		'alpha' => true,
	],
] );