<?php
/**
 * Aryx Customizer Text Colors Sub-Section
 * 
 * Customizer > Colors > Content Colors > Text Colors
 *
 * @package Aryx
 */

/*
 * Text Colors Sub-Section Fields
 *
 */

/* Text Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_text_color_ss_text_colors_s_content_colors_p_colors',
	'label'       => __( 'Text Color', 'aryx' ),
	'section'     => 'aryx_ss_text_colors_s_content_colors_p_colors',
	'default'     => '#000',
	'priority'    => 10,
	'choices'     => [
		'alpha' => true,
	],
] );

/* Blockquote Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_blockquote_color_ss_text_colors_s_content_colors_p_colors',
	'label'       => __( 'Blockquote Color', 'aryx' ),
	'section'     => 'aryx_ss_text_colors_s_content_colors_p_colors',
	'default'     => '#6F6F6F',
	'priority'    => 20,
	'choices'     => [
		'alpha' => true,
	],
] );