<?php
/***
 * Aryx Customizer Primary Menu Section
 *
 * Customizer > Header > Primary Menu
 *
 * @package Aryx
 */

/*
 * Primary Menu Section Fields
 *
 */

/* Start Primary Menu */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_separator_primary_menu_s_primary_menu_p_header',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Primary Menu', 'aryx' ).'</div>',
	'section' 		=> 'aryx_s_primary_menu_p_header',
	'priority' 		=> 10,
) );

/* Primary Menu Global Disabler */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'toggle',
	'settings'    	=> 'aryx_f_disable_primary_menu_s_primary_menu_p_header',
	'label'       	=> esc_html__( 'Show Menu', 'aryx' ),
	'section'     	=> 'aryx_s_primary_menu_p_header',
	'default'     	=> true,
	'priority'	  	=> 20,
] );

// /* More Features In Aryx Pro */
// Kirki::add_field( 'aryx_config_kirki', [
// 	'type'        	=> 'custom',
// 	'settings'    	=> 'f_aryx_pro_s_primary_menu_p_header',
// 	'section'     	=> 'aryx_s_primary_menu_p_header',
// 	'default'     	=> '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
// 	'priority'    	=> 200,
// ] );