<?php
/***
 * Aryx Customizer Layouts Panel
 *
 * Customizer > Layouts
 *
 * @package Aryx
 */

/**
 * Layouts Panel Declaration
 *
 */
Kirki::add_panel( 'aryx_p_layout', array(
    'priority'    => 30,
    'title'       => esc_html__( 'Layouts', 'aryx' ),
) );

/**
 * Layouts Sections Declarations
 *
 */

/*
 * Container Layouts Section
 *
 * Customizer > Layouts > Container
 *
 *
 */

/* Container Section Declaration */
Kirki::add_section( 'aryx_s_container_p_layout', array(
    'title'          => esc_html__( 'Container', 'aryx' ),
    'panel'          => 'aryx_p_layout',
    'priority'       => 10,
) );

/* Container Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/layouts/container/container.php';

/*
 * Sidebar Layout Section
 *
 * Customizer > Layouts > Sidebar
 *
 *
 */

/* Sidebar Section Declaration */
Kirki::add_section( 'aryx_s_sidebar_p_layout', array(
    'title'          => esc_html__( 'Sidebar', 'aryx' ),
    'panel'          => 'aryx_p_layout',
    'priority'       => 20,
) );

/* Sidebar Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/layouts/sidebar/sidebar.php';
