<?php
/***
 * Aryx Optimization Panel
 *
 * Customizer > Optimization
 *
 * @package Aryx
 */

/**
 * Optimization Panel Declaration
 *
 */
Kirki::add_panel( 'aryx_p_optimization', array(
    'priority'    => 60,
    'title'       => esc_html__( 'Optimization', 'aryx' ),
) );

/**
 *
 * Optimization Section Declaration
 *
 * Customizer > Optimization > Asset Optimization
 *
 */

/* Asset Optimization Section Diclaration */
Kirki::add_section( 'aryx_s_asset_optimization_p_optimization', array(
    'title'          => esc_html__( 'Asset Optimization', 'aryx' ),
    'panel'          => 'aryx_p_optimization',
    'priority'       => 10,
) );

/* Asset Optimization Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/optimization/asset-optimization/asset-optimization.php';