<?php
/**
 * Aryx Customizer SEO Panel
 * Customizer > SEO
 * @package Aryx
 */

/**
 * SEO Panel Declaration
 */
Kirki::add_panel( 'aryx_p_seo', array(
    'priority'    => 30,
    'title'       => esc_html__( 'SEO', 'aryx' ),
) );

/**
 * SEO Sections Declarations
 */

/**
 * Site Verification SEO Section
 * Customizer > SEO > Site Verification
 */

/* Site Verification Section Declaration */
Kirki::add_section( 'aryx_s_verification_p_seo', array(
    'title'          => esc_html__( 'Site Verification', 'aryx' ),
    'panel'          => 'aryx_p_seo',
    'priority'       => 10,
) );

/* Site Verification Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/seo/verification/verification.php';

/**
 * Homepage SEO Settings Section
 * Customizer > SEO > Homepage SEO Settings
 */

/* Homepage SEO Settings Section Declaration */
Kirki::add_section( 'aryx_s_homepage_seo_settings_p_seo', array(
    'title'          => esc_html__( 'SEO Settings', 'aryx' ),
    'panel'          => 'aryx_p_seo',
    'priority'       => 20,
) );

/* Homepage SEO Settings Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/seo/homepage-seo/homepage-seo.php';
