<?php
/**
 * Aryx Customizer Base Typography Section
 * 
 * Customizer > Typography > Base Typography
 *
 * @package Aryx
 */

/*
 * Base Typography Section Fields
 *
 */

/* Body and Content Typography */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'typography',
	'settings'    => 'aryx_f_base_typography_s_base_typography_p_typography',
	'label'       => esc_html__( 'Body & Content', 'aryx' ),
	'section'     => 'aryx_s_base_typography_p_typography',
	'default'     => [
		'font-family'    => 'Poppins',
		'variant'        => '300',
		'font-size'      => '15px',
		'line-height'    => '1.5',
		'letter-spacing' => 'normal',
		'text-transform' => 'none',
	],
	'priority'    => 10,
	'transport'   => 'auto'
] );

