<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Aryx
 * @since 1.0
 */

if ( ! is_active_sidebar( 'main-sidebar' ) ) {
	return;
}
?>

<aside id="secondary" class="widget-area col-md-3">
	<?php 
		if ( function_exists('is_woocommerce') && (is_woocommerce() || is_cart() || is_checkout() || is_account_page())) {
			dynamic_sidebar( 'shop');
		}else{
			dynamic_sidebar( 'main-sidebar' ); 
		}
	?>
</aside><!-- #secondary -->
