<?php
/**
 * Aryx Theme Customizer
 *
 * @package Aryx
 */

/**
 * Embed Kirki into Aryx
 *
 * @package Kirki
 * @author Ari Stathopoulos (@aristath)
 * @version 3.0.39
 */
require get_template_directory() . '/inc/customizer/kirki/kirki.php';

/*
 * Remove Kirki Admin Message (telemetry)
 *
 */
add_filter( 'kirki_telemetry', '__return_false' );

/*
 * Kirki Configuration ID
 *
 */
Kirki::add_config( 'aryx_config_kirki', array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

/*
 * Panels Declaration
 *
 */
require_once get_template_directory() . '/inc/customizer/panels/panels.php';

/*
 * Inline Styles
 */
require_once get_template_directory() . '/inc/customizer/inline-styles.php';
