<?php
/***
 * Aryx Customizer Blog Panel
 *
 * Customizer > Blog
 *
 * @package Aryx
 */

/**
 * Blog Panel Declaration
 *
 */
Kirki::add_panel( 'aryx_p_blog', array(
    'priority'    => 60,
    'title'       => esc_html__( 'Blog', 'aryx' ),
) );

/**
 * Blog Sections Declarations
 *
 */

/*
 * Blog / Archive Section
 *
 * Customizer > Blog > Blog / Archive
 *
 */

/* Blog / Archive Section Declaration */
Kirki::add_section( 'aryx_s_blog_archive_p_blog', array(
    'title'          => esc_html__( 'Blog / Archive', 'aryx' ),
    'panel'          => 'aryx_p_blog',
    'priority'       => 10,
) );

/* Blog / Archive Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/blog/blog-archive/blog-archive.php';

/*
 * Single Post Section
 *
 * Customizer > Blog > Single Post
 *
 */

/* Signle Post Section Declaration */
Kirki::add_section( 'aryx_s_single_post_p_blog', array(
    'title'          => esc_html__( 'Single Post', 'aryx' ),
    'panel'          => 'aryx_p_blog',
    'priority'       => 20,
) );

/* Signle Post Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/blog/single-post/single-post.php';