<?php
/**
 * Aryx Customizer Base Colors Section
 * 
 * Customizer > Colors > Base Colors
 *
 * @package Aryx
 */

/*
 * Base Colors Section Fields
 *
 */

/* Primary Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_primary_color_s_base_colors_p_colors',
	'label'       => __( 'Primary Color', 'aryx' ),
	'section'     => 'aryx_s_base_colors_p_colors',
	'default'     => '#00a8ff',
	'priority'    => 10,
	'choices'     => [
		'alpha' => true,
	],
] );

/* Background Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_bg_color_s_base_colors_p_colors',
	'label'       => __( 'Background Color', 'aryx' ),
	'section'     => 'aryx_s_base_colors_p_colors',
	'default'     => '#fff',
	'priority'    => 20,
	'choices'     => [
		'alpha' => true,
	],
] );