<?php
/***
 * Aryx Customizer Colors Panel
 *
 * Customizer > Colors
 *
 * @package Aryx
 */

/**
 * Colors Panel Declaration
 *
 */
Kirki::add_panel( 'aryx_p_colors', array(
    'priority'    => 50,
    'title'       => esc_html__( 'Colors', 'aryx' ),
) );

/**
 * Colors Sections Declarations
 *
 */

/*
 * Base Colors Section
 *
 * Customizer > Colors > Base Colors
 *
 */

/* Base Colors Section Declaration */
Kirki::add_section( 'aryx_s_base_colors_p_colors', array(
    'title'          => esc_html__( 'Base Colors', 'aryx' ),
    'panel'          => 'aryx_p_colors',
    'priority'       => 10,
) );

/* Base Colors Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/base-colors/base-colors.php';

/*
 * Header Colors Section
 *
 * Customizer > Colors > Header Colors
 *
 */

/* Header Colors Section Declaration */
Kirki::add_section( 'aryx_s_header_colors_p_colors', array(
    'title'          => esc_html__( 'Header Colors', 'aryx' ),
    'panel'          => 'aryx_p_colors',
    'priority'       => 20,
) );

/* Header Colors Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/header-colors/header-colors.php';

/*
 * Content Colors Section
 *
 * Customizer > Colors > Content Colors
 *
 */

/* Content Colors Section Declaration */
Kirki::add_section( 'aryx_s_content_colors_p_colors', array(
    'title'          => esc_html__( 'Content Colors', 'aryx' ),
    'panel'          => 'aryx_p_colors',
    'priority'       => 30,
) );

/* Content Colors Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/content-colors/content-colors.php';

/*
 * Footer Colors Section
 *
 * Customizer > Colors > Footer Colors
 *
 */

/* Footer Colors Section Declaration */
Kirki::add_section( 'aryx_s_footer_colors_p_colors', array(
    'title'          => esc_html__( 'Footer Colors', 'aryx' ),
    'panel'          => 'aryx_p_colors',
    'priority'       => 40,
) );

/* Footer Colors Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/footer-colors/footer-colors.php';