<?php
/**
 * Aryx Customizer Heading Colors Sub-Section
 * 
 * Customizer > Colors > Content Colors > Heading Colors
 *
 * @package Aryx
 */

/*
 * Heading Colors Sub-Section Fields
 *
 */

/* H1 Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_h1_color_ss_heading_colors_s_content_colors_p_colors',
	'label'       => __( 'H1 Color', 'aryx' ),
	'section'     => 'aryx_ss_heading_colors_s_content_colors_p_colors',
	'default'     => '#000',
	'priority'    => 10,
	'choices'     => [
		'alpha' => true,
	],
] );

/* H2 Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_h2_color_ss_heading_colors_s_content_colors_p_colors',
	'label'       => __( 'H2 Color', 'aryx' ),
	'section'     => 'aryx_ss_heading_colors_s_content_colors_p_colors',
	'default'     => '#000',
	'priority'    => 20,
	'choices'     => [
		'alpha' => true,
	],
] );

/* H3 Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_h3_color_ss_heading_colors_s_content_colors_p_colors',
	'label'       => __( 'H3 Color', 'aryx' ),
	'section'     => 'aryx_ss_heading_colors_s_content_colors_p_colors',
	'default'     => '#000',
	'priority'    => 30,
	'choices'     => [
		'alpha' => true,
	],
] );

/* More Features In Aryx Pro */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'custom',
	'settings'    => 'f_aryx_pro_ss_heading_colors_s_content_colors_p_colors',
	'section'     => 'aryx_ss_heading_colors_s_content_colors_p_colors',
	'default'     => '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
	'priority'    => 200,
] );