<?php
/**
 * Aryx Customizer Footer Colors Section
 * 
 * Customizer > Colors > Footer Colors
 *
 * @package Aryx
 */

/*
 * Footer Colors Sub-Section
 *
 * Customizer > Colors > Footer Colors > Footer Widget Colors
 *
 */

/* Footer Widget Colors Sub-Section Declaration */
Kirki::add_section( 'aryx_ss_footer_widget_colors_s_footer_colors_p_colors', array(
    'title'          => esc_html__( 'Footer Widget Colors', 'aryx' ),
    'section'        => 'aryx_s_footer_colors_p_colors',
    'priority'       => 10,
) );

/* Footer Widget Colors Sub-Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/footer-colors/footer-widget-colors/footer-widget-colors.php';

/* Footer Bar Colors Sub-Section Declaration */
Kirki::add_section( 'aryx_ss_footer_bar_colors_s_footer_colors_p_colors', array(
    'title'          => esc_html__( 'Footer Bar Colors', 'aryx' ),
    'section'        => 'aryx_s_footer_colors_p_colors',
    'priority'       => 10,
) );

/* Footer Bar Colors Sub-Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/footer-colors/footer-bar-colors/footer-bar-colors.php';

/* More Features In Aryx Pro */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'custom',
	'settings'    => 'f_aryx_pro_s_footer_colors_p_colors',
	'section'     => 'aryx_s_footer_colors_p_colors',
	'default'     => '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
	'priority'    => 200,
] );