<?php
/**
 * Aryx Customizer Footer Widget Colors Sub-Section
 * 
 * Customizer > Colors > Footer Colors > Footer Widget Colors
 *
 * @package Aryx
 */

/*
 * Footer Widget Colors Sub-Section Fields
 *
 */

/* Widget Title Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_widget_title_color_ss_footer_widget_colors_s_footer_colors_p_colors',
	'label'       => __( 'Widget Title Color', 'aryx' ),
	'section'     => 'aryx_ss_footer_widget_colors_s_footer_colors_p_colors',
	'default'     => '#000',
	'priority'    => 10,
	'choices'     => [
		'alpha' => true,
	],
] );

/* Text Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_text_color_ss_footer_widget_colors_s_footer_colors_p_colors',
	'label'       => __( 'Text Color', 'aryx' ),
	'section'     => 'aryx_ss_footer_widget_colors_s_footer_colors_p_colors',
	'default'     => '#000',
	'priority'    => 20,
	'choices'     => [
		'alpha' => true,
	],
] );

/* Link Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_link_color_ss_footer_widget_colors_s_footer_colors_p_colors',
	'label'       => __( 'Link Color', 'aryx' ),
	'section'     => 'aryx_ss_footer_widget_colors_s_footer_colors_p_colors',
	'default'     => '#00a8ff',
	'priority'    => 30,
	'choices'     => [
		'alpha' => true,
	],
] );

/* Link Hover Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'color',
	'settings'    => 'aryx_f_link_hover_color_ss_footer_widget_colors_s_footer_colors_p_colors',
	'label'       => __( 'Link Hover Color', 'aryx' ),
	'section'     => 'aryx_ss_footer_widget_colors_s_footer_colors_p_colors',
	'default'     => '#000000',
	'priority'    => 40,
	'choices'     => [
		'alpha' => true,
	],
] );

/* Customize Footer Background Link */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_customize_footer_widget_background_ss_footer_bar_colors_s_footer_colors_p_colors',
	'label'       	=> '<a onclick="wp.customize.control( \'aryx_f_footer_widget_area_background_s_footer_widget_area_p_footer\' ).focus();">'.esc_html__( 'Customize Footer Widget Background', 'aryx' ).'</a>',
	'section' 		=> 'aryx_ss_footer_widget_colors_s_footer_colors_p_colors',
	'priority' 		=> 200,
) );