<?php
/**
 * Aryx Customizer Header Colors Section
 * 
 * Customizer > Colors > Header Colors
 *
 * @package Aryx
 */

/*
 * General Header Colors Sub-Section
 *
 * Customizer > Colors > Header Colors > General Header Colors
 *
 */

/* General Header Colors Sub-Section Declaration */
Kirki::add_section( 'aryx_ss_general_header_colors_s_header_colors_p_colors', array(
    'title'          => esc_html__( 'General Header Colors', 'aryx' ),
    'section'        => 'aryx_s_header_colors_p_colors',
    'priority'       => 10,
) );

/* Heading Colors Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/colors/header-colors/general-header-colors/general-header-colors.php';

/* More Features In Aryx Pro */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'custom',
	'settings'    => 'f_aryx_pro_s_header_colors_p_colors',
	'section'     => 'aryx_s_header_colors_p_colors',
	'default'     => '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
	'priority'    => 200,
] );