<?php
/***
 * Aryx Customizer Footer Panel
 *
 * Customizer > Footer
 *
 * @package Aryx
 */

/**
 * Footer Panel Declaration
 *
 */
Kirki::add_panel( 'aryx_p_footer', array(
    'priority'    => 70,
    'title'       => esc_html__( 'Footer', 'aryx' ),
) );

/*
 * Footer Global Settings Section
 *
 * Customizer > Footer > Footer Global Settings
 *
 */

/* Footer Global Settings Section Declaration */
Kirki::add_section( 'aryx_s_footer_global_settings_p_footer', array(
    'title'          => esc_html__( 'Footer Global Settings', 'aryx' ),
    'panel'          => 'aryx_p_footer',
    'priority'       => 10,
) );

/* Footer Global Settings Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/footer/footer-global-settings/footer-global-settings.php';

/*
 * Footer Widget Area Section
 *
 * Customizer > Footer > Footer Widget Area
 *
 */

/* Footer Widget Area Section Declaration */
Kirki::add_section( 'aryx_s_footer_widget_area_p_footer', array(
    'title'          => esc_html__( 'Footer Widget Area', 'aryx' ),
    'panel'          => 'aryx_p_footer',
    'priority'       => 20,
) );

/* Footer Widget Area Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/footer/footer-widget-area/footer-widget-area.php';

/*
 * Footer Bar Area Section
 *
 * Customizer > Footer > Footer Bar Area
 *
 */

/* Footer Bar Area Section Declaration */
Kirki::add_section( 'aryx_s_footer_bar_area_p_footer', array(
    'title'          => esc_html__( 'Footer Bar Area', 'aryx' ),
    'panel'          => 'aryx_p_footer',
    'priority'       => 30,
) );

/* Footer Bar Area Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/footer/footer-bar-area/footer-bar-area.php';