<?php
/***
 * Aryx Customizer Header Panel
 *
 * Customizer > Header
 *
 * @package Aryx
 */

/**
 * Header Panel Declaration
 *
 */
Kirki::add_panel( 'aryx_p_header', array(
    'priority'    => 30,
    'title'       => esc_html__( 'Header', 'aryx' ),
) );

/**
 * Header Sections Declarations
 *
 */

/*
 * Header Settings Section
 *
 * Customizer >  Header > Header Settings
 *
 *
 */

/* Header Settings Section Declaration */
Kirki::add_section( 'aryx_s_header_settings_p_header', array(
    'title'          => esc_html__( 'Header Settings', 'aryx' ),
    'panel'          => 'aryx_p_header',
    'priority'       => 10,
) );

/* Header Settings Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/header/header-settings/header-settings.php';

/*
 * Primary Menu Section
 *
 * Customizer >  Header > Primary Menu
 *
 *
 */

/* Primary Menu Section Declaration */
Kirki::add_section( 'aryx_s_primary_menu_p_header', array(
    'title'          => esc_html__( 'Primary Menu', 'aryx' ),
    'panel'          => 'aryx_p_header',
    'priority'       => 20,
) );

/* Primary Menu Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/header/primary-menu/primary-menu.php';

/*
 * Breadcrumb Section
 *
 * Customizer >  Header > Breadcrumb
 *
 *
 */

/* Breadcrumb Section Declaration */
Kirki::add_section( 'aryx_s_breadcrumb_p_header', array(
    'title'          => esc_html__( 'Breadcrumb', 'aryx' ),
    'panel'          => 'aryx_p_header',
    'priority'       => 30,
) );

/* Breadcrumb Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/header/breadcrumb/breadcrumb.php';