<?php
/**
 * Aryx Customizer Layouts Sidebar Section
 * 
 * Customizer > Layouts > Sidebar
 *
 * @package Aryx
 */
/*
 * Sidebar Section Fields
 *
 */
/* Default Sidebar Layout */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'select',
	'settings'    => 'aryx_f_default_sidebar_layout_s_sidebar_p_layout',
	'label'       => esc_html__( 'Default Layout', 'aryx' ),
	'section'     => 'aryx_s_sidebar_p_layout',
	'default'     => 'right-sidebar',
	'priority'    => 10,
	'multiple'    => 0,
	'choices'     => [
		'none' 				=> esc_html__( 'None', 'aryx' ),
		'left-sidebar' 		=> esc_html__( 'Left Sidebar', 'aryx' ),
		'right-sidebar' 	=> esc_html__( 'Right Sidebar', 'aryx' ),
	],
] );
/* Page Sidebar Layout */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'select',
	'settings'    => 'aryx_f_page_sidebar_layout_s_sidebar_p_layout',
	'label'       => esc_html__( 'Pages', 'aryx' ),
	'section'     => 'aryx_s_sidebar_p_layout',
	'default'     => 'right-sidebar',
	'priority'    => 20,
	'multiple'    => 0,
	'choices'     => [
		'none' 				=> esc_html__( 'None', 'aryx' ),
		'default-sidebar' 	=> esc_html__( 'Use Default Layout', 'aryx' ),
		'left-sidebar' 		=> esc_html__( 'Left Sidebar', 'aryx' ),
		'right-sidebar' 	=> esc_html__( 'Right Sidebar', 'aryx' ),
	],
] );
/* Post Sidebar Layout */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'select',
	'settings'    => 'aryx_f_post_sidebar_layout_s_sidebar_p_layout',
	'label'       => esc_html__( 'Posts', 'aryx' ),
	'section'     => 'aryx_s_sidebar_p_layout',
	'default'     => 'right-sidebar',
	'priority'    => 30,
	'multiple'    => 0,
	'choices'     => [
		'none' 				=> esc_html__( 'None', 'aryx' ),
		'default-sidebar' 	=> esc_html__( 'Use Default Layout', 'aryx' ),
		'left-sidebar' 		=> esc_html__( 'Left Sidebar', 'aryx' ),
		'right-sidebar' 	=> esc_html__( 'Right Sidebar', 'aryx' ),
	],
] );
/* Archives Sidebar Layout */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'select',
	'settings'    => 'aryx_f_archive_sidebar_layout_s_sidebar_p_layout',
	'label'       => esc_html__( 'Archives', 'aryx' ),
	'section'     => 'aryx_s_sidebar_p_layout',
	'default'     => 'right-sidebar',
	'priority'    => 40,
	'multiple'    => 0,
	'choices'     => [
		'none' 				=> esc_html__( 'None', 'aryx' ),
		'default-sidebar' 	=> esc_html__( 'Use Default Layout', 'aryx' ),
		'left-sidebar' 		=> esc_html__( 'Left Sidebar', 'aryx' ),
		'right-sidebar' 	=> esc_html__( 'Right Sidebar', 'aryx' ),
	],
] );

// /* More Features In Aryx Pro */
// Kirki::add_field( 'aryx_config_kirki', [
// 	'type'        => 'custom',
// 	'settings'    => 'f_aryx_pro_s_sidebar_p_layout',
// 	'section'     => 'aryx_s_sidebar_p_layout',
// 	'default'     => '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
// 	'priority'    => 200,
// ] );