<?php
/**
 * Aryx Customizer Asset Optimization Section
 * 
 * Customizer >  Optimization > Asset Optimization
 *
 * @package Aryx
 */

/*
 * Asset Optimization Section Fields
 *
 */

/* Asset Optimization Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_asset_optimization_separator_s_asset_optimization_p_optimization',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Asset Optimization', 'aryx' ).'</div>',
	'section' 		=> 'aryx_s_asset_optimization_p_optimization',
	'priority' 		=> 10,
) );

/* Asset Optimization */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'radio',
	'settings'    => 'aryx_f_asset_optimization_s_asset_optimization_p_optimization',
	'section'     => 'aryx_s_asset_optimization_p_optimization',
	'default'     => 'minified',
	'priority'    => 20,
	'multiple'    => 0,
	'choices'     => [
		'minified' => [
			esc_html__( 'Minified', 'aryx' ),
			esc_html__( 'Load minified assets.', 'aryx' ),
		],
		'raw' => [
			esc_html__( 'Raw', 'aryx' ),
			esc_html__( 'Load raw assets.', 'aryx' ),
		],
	],
] );
