<?php
/**
 * Aryx Customizer Title Typography Section
 * 
 * Customizer > Typography > Title Typography
 *
 * @package Aryx
 */

/*
 * Title Typography Section Fields
 *
 */

/* Title Typography */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'typography',
	'settings'    => 'aryx_f_title_typography_s_title_typography_p_typography',
	'label'       => esc_html__( 'Entry Title', 'aryx' ),
	'section'     => 'aryx_s_title_typography_p_typography',
	'default'     => [
		'font-family'    => 'Poppins',
		'variant'        => '500',
		'font-size'      => '45.78px',
		'line-height'    => '1.5',
		'letter-spacing' => 'normal',
		'text-transform' => 'none',
	],
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.entry-title',
		],
	],
] );