<?php
/***
 * Aryx Customizer Typography Panel
 *
 * Customizer > Typography
 *
 * @package Aryx
 */

/**
 * Kirki Typography Panel Declaration
 *
 */
Kirki::add_panel( 'aryx_p_typography', array(
    'priority'    => 40,
    'title'       => esc_html__( 'Typography', 'aryx' ),
) );

/**
 * Typography Sections Declarations
 *
 */

/*
 * Base Typography Section
 *
 * Customizer > Typography > Base Typography
 *
 */

/* Base Typography Section Declaration */
Kirki::add_section( 'aryx_s_base_typography_p_typography', array(
    'title'          => esc_html__( 'Base Typography', 'aryx' ),
    'panel'          => 'aryx_p_typography',
    'priority'       => 10,
) );

/* Base Typography Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/typography/base-typography/base-typography.php';

/*
 * Title Typography Section
 *
 * Customizer > Typography > Title Typography
 *
 */

/* Title Typography Section Declaration */
Kirki::add_section( 'aryx_s_title_typography_p_typography', array(
    'title'          => esc_html__( 'Title Typography', 'aryx' ),
    'panel'          => 'aryx_p_typography',
    'priority'       => 20,
) );

/* Base Typography Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/typography/title-typography/title-typography.php';

/*
 * Header Typography Section
 *
 * Customizer > Typography > Header Typography
 *
 */

/* Header Typography Section Declaration */
Kirki::add_section( 'aryx_s_heading_typography_p_typography', array(
    'title'          => esc_html__( 'Heading Typography', 'aryx' ),
    'panel'          => 'aryx_p_typography',
    'priority'       => 30,
) );

/* Header Typography Section Fields */
require_once get_template_directory() . '/inc/customizer/panels/typography/heading-typography/heading-typography.php';