<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Aryx
 * @since 1.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php aryx_post_thumbnail(); ?>

	<?php
		$disable_title = get_post_meta( $post->ID, 'aryx_disable_title', true );
		if ( $disable_title != 'disabled' ) {			
	?>
			<header class="entry-header">
				<h2 class="entry-title"><?php echo the_title(); ?></h2>
			</header>
	<?php
		}
	?>

	<div class="entry-content">
		<?php the_content();
		wp_link_pages( array(
            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'aryx' ),
            'after'  => '</div>',
        ) );
        ?>
	</div><!-- .entry-content -->

</article><!-- #post-<?php the_ID(); ?> -->
